import { a as withTransactionIdentity } from "../transaction-Uv-u8h_k.js";
import postgres from "postgres";
import { drizzle } from "drizzle-orm/postgres-js";
//#region src/postgres/postgres-js.ts
function createPostgresJsClient(opts) {
	const client = postgres(opts.connectionString);
	return withTransactionIdentity(drizzle(client, { schema: opts.schema }));
}
//#endregion
export { createPostgresJsClient };
